# comment out if not prerel
#global prel	5prealpha

# rel to bump
%define rel	2

%define major	5
%define devname	%mklibname %{name} -d
%define libname	%mklibname %{name} %{major}
%define gstname	gstreamer1.0-%{name}

Name:			pocketsphinx
Version:		5.0.3
Release:		%mkrel %{?prel:0.%prel.}%{rel}
Summary:		Real-time speech recognition
Group:			Sound/Utilities
License:		BSD and LGPLv2+
URL:			https://cmusphinx.github.io/
Source0:		https://github.com/cmusphinx/pocketsphinx/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
BuildRequires:  python3-scikit-build

%description
PocketSphinx is a version of the open-source Sphinx-II speech recognition
system which is able to recognize speech in real-time.  While it may be
somewhat less accurate than the offline speech recognizers, it is lightweight
enough to run on hand-held and embedded devices.

%package -n %{devname}
Summary:		Header files for developing with %{name}
Group:			Development/C
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing with %{name}.

%package -n %{libname}
Summary:		Shared libraries for %{name} executables
Group:			System/Libraries

%description -n %{libname}
Shared libraries for %{name} executables.

%package -n python3-%{name}
Summary:		Python 3 interface to %{name}
Group:			Development/Python
Requires:		%{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 interface to %{name}.

%package -n %{gstname}
Summary:		Gstreamer plugin for %{name}
Group:			Sound/Utilities
Requires:		%{name} = %{version}-%{release}

%description -n %{gstname}
Gstreamer plugin for %{name}.

%prep
%autosetup -p1 -n %{name}-%{?prel}%{?!prel:%version}

%build
# Build twice for Python and C (also below in install section).
# See https://github.com/cmusphinx/pocketsphinx/issues/342

# CMAKE_MODULE_PATH is to find FindPythonExtensions.cmake from python3-scikit-build.
%define _vpath_builddir build-python
%cmake \
	-DCMAKE_MODULE_PATH="%{python3_sitelib}/skbuild/resources/cmake" \
	-DSKBUILD:BOOL=ON
%cmake_build

%define _vpath_builddir build-c
%cmake \
	-DBUILD_GSTREAMER:BOOL=ON
%cmake_build

%install
# Install twice for Python and C.
# See https://github.com/cmusphinx/pocketsphinx/issues/342

%define _vpath_builddir build-c
%cmake_install

%define _vpath_builddir build-python
%cmake_install

# See https://github.com/cmusphinx/pocketsphinx/issues/341
mkdir -p %{buildroot}%{python3_sitearch}
mv %{buildroot}%{_prefix}/%{name}/* %{buildroot}%{python3_sitearch}

%check
%ctest

%files
%doc AUTHORS NEWS README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files -n %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/*

%files -n %{gstname}
%{_libdir}/gstreamer-1.0/libgst%{name}.so


%changelog
* Tue Mar 04 2025 wally <wally> 5.0.3-2.mga10
+ Revision: 2160419
- rebuild for python3.13

* Fri Apr 05 2024 daviddavid <daviddavid> 5.0.3-1.mga10
+ Revision: 2054479
- new version: 5.0.3

* Wed Dec 27 2023 daviddavid <daviddavid> 5.0.2-2.mga10
+ Revision: 2022074
- rebuild for py3.12

* Thu Nov 09 2023 daviddavid <daviddavid> 5.0.2-1.mga10
+ Revision: 2005281
- new version: 5.0.2
- now libmajor is 5
- switch to cmake build system

* Wed Apr 06 2022 papoteur <papoteur> 0.9-0.0.5prealpha.9.mga9
+ Revision: 1846703
- Group BuildRequires, suppress setuptools build requires
- Allow build with python3.10, getting rid of deprecated distutils generated by autotools
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.9-0.0.5prealpha.6.mga9
+ Revision: 1705357
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.9-0.0.5prealpha.5.mga8
+ Revision: 1533709
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 24 2019 daviddavid <daviddavid> 0.9-0.0.5prealpha.4.mga8
+ Revision: 1445310
- switch to Python 3

* Thu Oct 04 2018 daviddavid <daviddavid> 0.9-0.0.5prealpha.3.mga7
+ Revision: 1317622
- Mageia 7 Mass Rebuild

* Sun Feb 04 2018 daviddavid <daviddavid> 0.9-0.0.5prealpha.2.mga7
+ Revision: 1198942
- rename python-pocketsphinx to python2-pocketsphinx
+ wally <wally>
- update URL

* Sun Feb 04 2018 wally <wally> 0.9-0.0.5prealpha.1.mga7
+ Revision: 1198875
- new upstream release 0.9 5prealpha
- new lib major 3
- switch to gstreamer 1.0

* Mon Feb 08 2016 umeabot <umeabot> 0.8-8.mga6
+ Revision: 943914
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-7.mga5
+ Revision: 748416
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-6.mga5
+ Revision: 727863
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 687700
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 543006
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 498039
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 sander85 <sander85> 0.8-1.mga4
+ Revision: 487948
- Add missing BRs
+ wally <wally>
- new version 0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.7-3.mga3
+ Revision: 377991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 0.7-2.mga3
+ Revision: 343022
- update group
- clean spec

* Mon Jul 18 2011 wally <wally> 0.7-1.mga2
+ Revision: 125971
- imported package pocketsphinx

